probe::scheduler.ctxswitch
Prev | Chapter 8. Scheduler Tapset | Next

## Name

probe::scheduler.ctxswitch — A context switch is occuring.

## Synopsis

    scheduler.ctxswitch

## Values

`prevtsk_state`

  the state of the process to be switched out

`prev_priority`

  The priority of the process to be switched out

`prev_tid`

  The TID of the process to be switched out

`next_tid`

  The TID of the process to be switched in

`nexttsk_state`

  the state of the process to be switched in

`next_priority`

  The priority of the process to be switched in

`next_task_name`

  The name of the process to be switched in

`name`

  name of the probe point

`prev_pid`

  The PID of the process to be switched out

`next_pid`

  The PID of the process to be switched in

`prev_task_name`

  The name of the process to be switched out

Prev | Up | Next
probe::scheduler.cpu_on | Home | probe::scheduler.kthread_stop